function [date_UTC, U10, V10, U100, V100] = fct_importfile(filename, dataLines, year)
%IMPORTFILE Import data from a text file
%  [DATE_UTC, U10, V10, U100, V100] = IMPORTFILE(FILENAME) reads data
%  from text file FILENAME for the default selection.  Returns the data
%  as column vectors.
%
%  [DATE_UTC, U10, V10, U100, V100] = IMPORTFILE(FILE, DATALINES) reads
%  data for the specified row interval(s) of text file FILENAME. Specify
%  DATALINES as a positive scalar integer or a N-by-2 array of positive
%  scalar integers for dis-contiguous row intervals.
%
%  Example:
%  [date_UTC, U10, V10, U100, V100] = fct_importfile("C:\Users\Elisa\Desktop\cs\projet\Wind_study\data_StBrieuc\ERA5_StBrieuc_48.50N_357.00E.csv", [3, Inf]);
%
%  See also READTABLE.
%
% Auto-generated by MATLAB on 14-Jan-2021 14:11:09

%% Input handling

% If dataLines is not specified, define defaults
if nargin < 2
    dataLines = [3, Inf];
end

%% Set up the Import Options and import the data
opts = delimitedTextImportOptions("NumVariables", 5);

% Specify range and delimiter
opts.DataLines = dataLines;
opts.Delimiter = ";";

% Specify column names and types
opts.VariableNames = ["date_UTC", "U10", "V10", "U100", "V100"];
opts.VariableTypes = ["datetime", "double", "double", "double", "double"];

% Specify file level properties
opts.ExtraColumnsRule = "ignore";
opts.EmptyLineRule = "read";

% Specify variable properties
opts = setvaropts(opts, "date_UTC", "InputFormat", "yyyy-MM-dd HH:mm:ss");

% Import the data
tbl = readtable(filename, opts);

%% Convert to output type

date_UTC = tbl.date_UTC;
U10 = tbl.U10;
V10 = tbl.V10;
U100 = tbl.U100;
V100 = tbl.V100;

if ~isnan(year)
    t_years = date_UTC.Year;
    indexes=find(t_years==year);
    date_UTC = date_UTC(indexes);
    U10 = U10(indexes);
    V10 = V10(indexes);
    U100 = U100(indexes);
    V100 = V100(indexes);
end

end